PamCut: CaloTrackChi2Cut Class Reference

# CaloTrackChi2Cut Class Reference

The calorimeter track chi2 quality cut. More...

`#include <CaloTrackChi2Cut.h>`

Inheritance diagram for CaloTrackChi2Cut:

List of all members.

## Public Member Functions
| CaloTrackChi2Cut (const char *cutName, CaloAxis *xCaloAxis, CaloAxis *yCaloAxis, float maxChi2=0.03, float minChi2=0.005)
| Constructor.
| ~CaloTrackChi2Cut ()
| Destructor.
int | Check (PamLevel2 *event)
| The calorimeter chi2 quality check.
## Private Attributes
CaloAxis * | _xCaloAxis
CaloAxis * | _yCaloAxis
float | _maxChi2
float | _minChi2

## Detailed Description

The calorimeter track chi2 quality cut.

This cut performs a check on chi2 of the calorimeter track. The current implementation uses the CaloAxis objects; to save computing time, the class assumes that the track is externally computed for each event and stored in CaloAxis objects; pointers to these objects are passed as arguments to the constructor. The Check method will then ignore the PamLevel2 *event and assume that the current content of the CaloAxis objects are relative to the current event. It is an user's task to ensure that these assumptions are fulfilled every time Check or ApplyCut are called.

CUT DEPENDENCIES: CaloTrackCut for the existence of the track (it can also provide the CaloAxis objects).

Definition at line 30 of file CaloTrackChi2Cut.h.

## Constructor & Destructor Documentation

CaloTrackChi2Cut::CaloTrackChi2Cut | ( | const char * | cutName,
|  | CaloAxis * | xCaloAxis,
|  | CaloAxis * | yCaloAxis,
|  | float | maxChi2 = `0.03`,
|  | float | minChi2 = `0.005` |
| ) |  |  | `[inline]`

Constructor.

The CaloAxis arguments are pointers to objects which contain the calorimeter track information for current event.

Parameters:

  | cutName | The cut name.
  | xCaloAxis | Pointer to the CaloAxis object for X axis.
  | yCaloAxis | Pointer to the CaloAxis object for Y axis.
  | maxChi2 | The maximum allowed Chi2.
  | minChi2 | The minimum allowed Chi2.

Definition at line 44 of file CaloTrackChi2Cut.h.

CaloTrackChi2Cut::~CaloTrackChi2Cut | ( |  | ) | `[inline]`

Destructor.

Definition at line 48 of file CaloTrackChi2Cut.h.

## Member Function Documentation

int CaloTrackChi2Cut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The calorimeter chi2 quality check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if Chi2 from CaloAxis is strictly greater than minChi2 and strictly lesser than maxChi2.

  0 otherwise

Implements PamCut.

Definition at line 12 of file CaloTrackChi2Cut.cpp.

References _maxChi2, _minChi2, _xCaloAxis, _yCaloAxis, CUTOK, and CaloAxis::GetChi2().

## Member Data Documentation

float CaloTrackChi2Cut::_maxChi2`[private]`

Definition at line 61 of file CaloTrackChi2Cut.h.

Referenced by Check().

float CaloTrackChi2Cut::_minChi2`[private]`

Definition at line 61 of file CaloTrackChi2Cut.h.

Referenced by Check().

CaloAxis* CaloTrackChi2Cut::_xCaloAxis`[private]`

Definition at line 60 of file CaloTrackChi2Cut.h.

Referenced by Check().

CaloAxis * CaloTrackChi2Cut::_yCaloAxis`[private]`

Definition at line 60 of file CaloTrackChi2Cut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- CaloCuts/CaloTrackChi2Cut/CaloTrackChi2Cut.h
- CaloCuts/CaloTrackChi2Cut/CaloTrackChi2Cut.cpp